org.eclipse.microprofile.opentracing.tck

## Class ClientRegistrarTests

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.opentracing.tck.OpenTracingBaseTests
    - - org.eclipse.microprofile.opentracing.tck.ClientRegistrarTests

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class ClientRegistrarTests
    extends OpenTracingBaseTests

Author:
  Pavol Loffay

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.eclipse.microprofile.opentracing.tck.OpenTracingBaseTests

`deploymentURL, JAXRS_COMPONENT`

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`ClientRegistrarTests()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `createDeployment()`
`void` `testClientRegistrar()`
`void` `testClientRegistrar(String path, boolean async)`
`void` `testClientRegistrarAsync()`
`void` `testClientRegistrarExecutor()`
`void` `testClientRegistrarExecutorAsync()`

### Methods inherited from class org.eclipse.microprofile.opentracing.tck.OpenTracingBaseTests

`assertEqualErrorTrees, assertEqualTrees, beforeEachTest, executeNested, executeRemoteWebServiceRaw, executeRemoteWebServiceRaw, executeRemoteWebServiceTracerTree, getEndpointMethod, getExpectedNestedServerSpan, getExpectedSpanTags, getExpectedSpanTagsForError, getNestedQueryParameters, getOperationName, getRandomNumber, getWebServiceURL, getWebServiceURL, testMultithreadedNestedSpans, testNestedSpans`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientRegistrarTests

    public ClientRegistrarTests()

### Method Detail

#### createDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

#### testClientRegistrar

    @RunAsClient
    public void testClientRegistrar()

#### testClientRegistrarAsync

    @RunAsClient
    public void testClientRegistrarAsync()

#### testClientRegistrarExecutor

    @RunAsClient
    public void testClientRegistrarExecutor()

#### testClientRegistrarExecutorAsync

    @RunAsClient
    public void testClientRegistrarExecutorAsync()

#### testClientRegistrar

    public void testClientRegistrar(String path,
                                    boolean async)